Name:           i3
Version:        4.3
Release:        %mkrel 4
Summary:        A tiling window manager
License:        BSD
Group:          Graphical desktop/Other
Url:            http://i3wm.org/

Source0:        http://i3wm.org/downloads/%{name}-%{version}.tar.bz2
Source1:        %{name}-logo.svg

Patch0:         i3-4.3-mga-include-path.patch

BuildRequires:  xcb-devel
BuildRequires:  xcb-util-devel
BuildRequires:  x11-proto-devel
BuildRequires:  xcb-util-keysyms-devel
BuildRequires:  xcb-util-wm-devel
BuildRequires:  libev-devel
BuildRequires:  flex
BuildRequires:  bison
BuildRequires:  asciidoc
BuildRequires:  xmlto
BuildRequires:  libxcursor-devel
BuildRequires:  yajl-devel
BuildRequires:  doxygen
BuildRequires:	startup-notification-devel
BuildRequires:	pkgconfig(libpcre)
BuildRequires:  graphviz
BuildRequires:  pkgconfig(pango)


Requires:       xterm
Suggests:	dmenu

%description
I3 is a tiling window manager, completely written from scratch. The target
platforms are GNU/Linux and BSD operating systems, our code is Free and Open
Source Software (FOSS) under the BSD license. i3 is primarily targeted at
advanced users and developers.

%prep
%setup -q
%patch0 -p1

%build
%make

cd man; make
cd ../docs; make
cd ..
doxygen pseudo-doc.doxygen
mv pseudo-doc/html pseudo-doc/doxygen

%install
%makeinstall_std
rm -rf %{buildroot}%{_datadir}/xsessions

mkdir -p %{buildroot}/%{_mandir}/man1/
install -Dpm0644 man/*.1 \
        %{buildroot}/%{_mandir}/man1/

mkdir -p %{buildroot}/%{_datadir}/pixmaps/
install -Dpm0644 %{SOURCE1} \
        %{buildroot}/%{_datadir}/pixmaps/

mkdir -p %{buildroot}%{_sysconfdir}/X11/wmsession.d

cat << EOF > %{buildroot}%{_sysconfdir}/X11/wmsession.d/31%{name}
NAME=%{name}
ICON=/usr/share/pixmaps/%{name}-logo.svg
EXEC=%{_bindir}/%{name}
DESC=Improved tiling window manager
SCRIPT:
exec %{_bindir}/%{name}
EOF

%files
%doc LICENSE RELEASE-NOTES-%{version}
%dir %{_sysconfdir}/i3
%config(noreplace) %{_sysconfdir}/i3/config
%config(noreplace) %{_sysconfdir}/i3/config.keycodes
%config(noreplace) %{_sysconfdir}/X11/wmsession.d/31%{name}
%{_bindir}/i3*
%{_includedir}/i3/ipc.h
%{_mandir}/man1/i3*
%{_datadir}/pixmaps/i3*
%{_datadir}/applications/*desktop



%changelog
* Fri Oct 18 2013 umeabot <umeabot> 4.3-4.mga4
+ Revision: 505951
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 4.3-3.mga3
+ Revision: 354017
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Dec 01 2012 fwang <fwang> 4.3-2.mga3
+ Revision: 323781
- rebuild for new pcre

* Wed Sep 26 2012 obgr_seneca <obgr_seneca> 4.3-1.mga3
+ Revision: 298274
- Fixed wrong include paths
- New version

* Sun Jun 03 2012 fwang <fwang> 4.2-2.mga3
+ Revision: 253728
- rebuild for new xcb-util

* Mon May 28 2012 obgr_seneca <obgr_seneca> 4.2-1.mga3
+ Revision: 247971
- add graphviz as BR
- add desktop file in file section
- New version 4.2

* Tue Feb 14 2012 obgr_seneca <obgr_seneca> 4.1.2-1.mga2
+ Revision: 208816
- new version 4.1.2

* Wed Jan 11 2012 obgr_seneca <obgr_seneca> 4.1.1-3.mga2
+ Revision: 194937
- new version 4.1.1

* Sun Dec 11 2011 obgr_seneca <obgr_seneca> 4.1-3.mga2
+ Revision: 180621
- removed xsession file (bug #3651)

* Fri Nov 25 2011 obgr_seneca <obgr_seneca> 4.1-2.mga2
+ Revision: 171883
- rebuild against new yajl

* Fri Nov 25 2011 obgr_seneca <obgr_seneca> 4.1-1.mga2
+ Revision: 171845
- added pcre as BR
- new version 4.1

* Mon Sep 12 2011 obgr_seneca <obgr_seneca> 4.0.2-1.mga2
+ Revision: 142661
-removed unneccessary %%post and %%postun section
- Added Requires to xterm
- Fixed typo in wmsession file creation
- changed BuildRequires from yajl to yajl-devel
- added wmsessions entry
- imported package i3

